import { r as registerInstance, g as getElement, j as jsx, H as Host } from './index-C7YNCRgy.js';

const radioCss = () => `@layer reset,base; @layer reset{:host{display:block;.dds-radio{display:inherit;box-sizing:border-box;margin:0}}}@layer base{}`;

const Radio = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    get host() { return getElement(this); }
    // MARK: Props
    // MARK: Render
    render() {
        return (jsx(Host, { children: jsx("div", { class: "dds-radio", children: jsx("slot", {}, '229f3398886ef8518bce15b598fbe7610f7bcc80') }, 'f3f0cae757d3570eebc306683865ceaaa9e5e99a') }, 'f422440359e59cd45a9e2da177cdd1a5a0c3c8b7'));
    }
};
Radio.style = radioCss();

export { Radio as dds_radio };
